Autor Tópico: Falha no gerenciamento de pacotes  (Lida 2911 vezes)

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #30 Online: 05 de Março de 2017, 20:48 »
willsirdark@willsirdark-C14CR21:~$ sudo apt-get install --reinstall grub-pc
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 1 reinstalados, 0 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
E: Internal Error, No file name for grub-pc:amd64

acho que estamos chegando a fundo na raiz do problema....

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.860
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #31 Online: 05 de Março de 2017, 21:14 »
E: Internal Error, No file name for grub-pc:amd64
acho que estamos chegando a fundo na raiz do problema....

Eita, cada coisa!  : :o

Traga o resultado desses comandos:

Código: [Selecionar]
arch
Código: [Selecionar]
getconf -a |grep -i 'long_bit'
Código: [Selecionar]
file /bin/bash | cut -d' ' -f3
« Última modificação: 05 de Março de 2017, 21:15 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #32 Online: 05 de Março de 2017, 21:20 »

kkkkkkkk pois é, olha minha máquina é 64 bits
willsirdark@willsirdark-C14CR21:~$ arch
x86_64
willsirdark@willsirdark-C14CR21:~$ getconf -a |grep -i 'long_bit'
LONG_BIT                           64
willsirdark@willsirdark-C14CR21:~$ file /bin/bash | cut -d' ' -f3
64-bit

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.860
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #33 Online: 05 de Março de 2017, 21:22 »
O problema nem é corrigir, mas sim descobrir como é que chegou nisso.  :o

Você tinha dito em algum momento aí que ocorreu alguma coisa anterior com o grub.
O que era mesmo? Qual o histórico disso com o grub?

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #34 Online: 05 de Março de 2017, 21:37 »
o que aconteceu foi que o grub tinha sumido, tipo o sistema entrou automaticamente no Windows, e eu achei muito estranho, foi então que pesquisei e encontrei a solução aqui
https://www.vivaolinux.com.br/dica/Como-recuperar-o-GRUB-em-3-comandos-Esse-funciona
eu tipo instalei primeiro o WIndows, e depois instalei o Xubuntu, e até então normal, só tive um probleminha para instalar o xubuntu,que foi relacionado ao boot, tive que se não me engano escrever LIVE  e dar enter, ai consegui instalar normalmente, mas depois de uns dias, ocorreu me o problema com o grub, fiz exatamente como mostrado ai na descrição

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.860
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #35 Online: 05 de Março de 2017, 21:40 »
o que aconteceu foi que o grub tinha sumido, tipo o sistema entrou automaticamente no Windows, e eu achei muito estranho, foi então que pesquisei e encontrei a solução aqui
https://www.vivaolinux.com.br/dica/Como-recuperar-o-GRUB-em-3-comandos-Esse-funciona
eu tipo instalei primeiro o WIndows, e depois instalei o Xubuntu, e até então normal, só tive um probleminha para instalar o xubuntu,que foi relacionado ao boot, tive que se não me engano escrever LIVE  e dar enter, ai consegui instalar normalmente, mas depois de uns dias, ocorreu me o problema com o grub, fiz exatamente como mostrado ai na descrição

Entendi, então o "sabor" da família Ubuntu instalado aí é o Xubuntu.

Então, por favor, traga ao tópico o resultado desses comandos:


Código: [Selecionar]
lsb_release -rd

Código: [Selecionar]
uname -srvm

Código: [Selecionar]
grub-install --version

Código: [Selecionar]
apt-cache policy grub-pc

Código: [Selecionar]
apt-cache show grub-pc
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #36 Online: 05 de Março de 2017, 21:45 »
willsirdark@willsirdark-C14CR21:~$ lsb_release -rd
Description:   Ubuntu 16.04.2 LTS
Release:   16.04
willsirdark@willsirdark-C14CR21:~$ uname -srvm
Linux 4.4.0-64-generic #85-Ubuntu SMP Mon Feb 20 11:50:30 UTC 2017 x86_64
willsirdark@willsirdark-C14CR21:~$ grub-install --version
grub-install (GRUB) 2.02~beta2-36ubuntu3.7
willsirdark@willsirdark-C14CR21:~$ apt-cache policy grub-pc
grub-pc:
  Instalado: 2.02~beta2-36ubuntu3.7
  Candidato: 2.02~beta2-36ubuntu3.7
  Tabela de versão:
 *** 2.02~beta2-36ubuntu3.7 500
        500 http://br.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     2.02~beta2-36ubuntu3 500
        500 http://br.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
willsirdark@willsirdark-C14CR21:~$ apt-cache show grub-pc
Package: grub-pc
Priority: optional
Section: admin
Installed-Size: 544
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Architecture: amd64
Source: grub2
Version: 2.02~beta2-36ubuntu3.7
Replaces: grub, grub-common (<= 1.97~beta2-1), grub-coreboot, grub-efi-amd64, grub-efi-ia32, grub-ieee1275, grub-legacy, grub2 (<< 2.02~beta2-36ubuntu3.7)
Depends: debconf (>= 0.5) | debconf-2.0, grub-common (= 2.02~beta2-36ubuntu3.7), grub2-common (= 2.02~beta2-36ubuntu3.7), grub-pc-bin (= 2.02~beta2-36ubuntu3.7), ucf, grub-gfxpayload-lists
Pre-Depends: dpkg (>= 1.17.13)
Conflicts: grub (<< 0.97-54), grub-coreboot, grub-efi-amd64, grub-efi-ia32, grub-ieee1275, grub-legacy, grub-xen
Filename: pool/main/g/grub2/grub-pc_2.02~beta2-36ubuntu3.7_amd64.deb
Size: 197358
MD5sum: 536d205f3f74896c02dfe9e7becdb342
SHA1: 038999f24486638e5de884b981f7f906b8143370
SHA256: 223aba9e446333bd531862ee8343fb21cefc84bc03dc7738098303f782a5a041
Description-pt_BR: GRand Unified Bootloader, versão 2 (versão PC/BIOS)
 GRUB é um gestor de arranque poderoso e portável. Esta versão do GRUB é
 baseada num desenho limpo dos seus antecessores, e disponibiliza as novas
 funcionalidades seguintes:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 Este pacote contém uma versão do GRUB que foi compilada para usar com a
 arquitectura de PC/BIOS tradicional.
Description-md5: 7cb7fdca20b02381c6123a250be96bab
Multi-Arch: foreign
Homepage: http://www.gnu.org/software/grub/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: ubuntu-live, kubuntu-live, edubuntu-live, xubuntu-live, mythbuntu-live, lubuntu-live, ubuntustudio-live, ubuntustudio-dvd-live, ubuntu-gnome-live, ubuntukylin-live, ubuntu-mate-live

Package: grub-pc
Priority: optional
Section: admin
Installed-Size: 547
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Architecture: amd64
Source: grub2
Version: 2.02~beta2-36ubuntu3
Replaces: grub, grub-common (<= 1.97~beta2-1), grub-coreboot, grub-efi-amd64, grub-efi-ia32, grub-ieee1275, grub-legacy, grub2 (<< 2.02~beta2-36ubuntu3)
Depends: debconf (>= 0.5) | debconf-2.0, grub-common (= 2.02~beta2-36ubuntu3), grub2-common (= 2.02~beta2-36ubuntu3), grub-pc-bin (= 2.02~beta2-36ubuntu3), ucf, grub-gfxpayload-lists
Pre-Depends: dpkg (>= 1.17.13)
Conflicts: grub (<< 0.97-54), grub-coreboot, grub-efi-amd64, grub-efi-ia32, grub-ieee1275, grub-legacy, grub-xen
Filename: pool/main/g/grub2/grub-pc_2.02~beta2-36ubuntu3_amd64.deb
Size: 198020
MD5sum: 5e833664e90aae78c647026730e3c197
SHA1: b1effb7f673da5cd0bbd359e6e572b84b8fc7c19
SHA256: 5ad9b6a4b59764d07cd53799414bfd5de8182027775f96011d2cf8abf6ae283b
Description-pt_BR: GRand Unified Bootloader, versão 2 (versão PC/BIOS)
 GRUB é um gestor de arranque poderoso e portável. Esta versão do GRUB é
 baseada num desenho limpo dos seus antecessores, e disponibiliza as novas
 funcionalidades seguintes:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
  - VESA-based graphical mode with background image support and complete 24-bit
    color set.
  - Support for extended charsets.  Users can write UTF-8 text to their menu
    entries.
 .
 Este pacote contém uma versão do GRUB que foi compilada para usar com a
 arquitectura de PC/BIOS tradicional.
Description-md5: 7cb7fdca20b02381c6123a250be96bab
Multi-Arch: foreign
Homepage: http://www.gnu.org/software/grub/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: ubuntu-live, kubuntu-live, edubuntu-live, xubuntu-live, mythbuntu-live, lubuntu-live, ubuntustudio-live, ubuntustudio-dvd-live, ubuntu-gnome-live, ubuntukylin-live, ubuntu-mate-live

sim, de fato estou usando esse sabor, antigamente eu usava o Ubuntu 14.04 LTS Unity , mas achava pesado demais para minha máquina, bom, achei o sistema coma interface  XFCE bem mais leve e "amigável", eu não gostei muito do unity, mas enfim é isso...

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.860
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #37 Online: 05 de Março de 2017, 21:55 »
Acho melhor antes de mais nada darmos uma olhada no bootinfo gerado pelo boot-repair .

Vou passar as instruções aqui, mas demora um pouco para escrever os detalhes.

Como o sistema está iniciando, isto é, tem boot, e dado o adiantado da hora, se quiser continuar amanhã, tudo bem.

De qualquer forma vou deixar aqui anotado o que fazer para obter o bootinfo.

Apenas atente para, ainda, não usar o boot-repair, é melhor antes analisar o bootinfo.
« Última modificação: 05 de Março de 2017, 21:57 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.860
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #38 Online: 05 de Março de 2017, 22:04 »
Inicie o sistema através de um live-iso (pendrive ou cdrom).

Habilite o repositório Universe antes de fazer a instalação.

Numa verificação que fiz aqui, usando um live-iso do Xubuntu 16.04, o Universe já vem habilitado no live-pendrive do Xubuntu, mas em todo caso verifique e confirme.

Pode ir pelo menu do Programas e Atualizações (Software & Updates) ou chamar pelo terminal:


Código: [Selecionar]
sudo software-properties-gtk
Isso posto, use os códigos de instalação conforme estão nesse tópico:

Boot-Repair-Ubuntu para recuperação do Grub-2

http://ubuntuforum-br.org/index.php/topic,84609.0.html

Feita corretamente a instalação, ao final dela ele inicia sozinho, entretanto, ainda **não execute no sentido de reparar o boot (Recommended Repair), vamos ver *antes* o que nos diz o Bootinfo (Create a Bootinfo summary), então click no botão correspondente para gerar um relatório e informe aqui no seu tópico o link url do pastebin para que se possa analisar o conteúdo do que ele diz, dessa forma teremos melhores elementos para saber o cenário aí existente quanto ao bootloader.
« Última modificação: 05 de Março de 2017, 22:06 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.860
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #39 Online: 05 de Março de 2017, 22:27 »
Faltou dizer: para a finalidade que se pretende, o live-iso que vai subir o sistema precisa ser da mesma versão do Ubuntu atual instalado, ou seja, tenha um live-iso (pendrive ou cdrom) do Ubuntu 16.04, ou do Xubuntu, tanto faz, mas desde que observe a versão atual instalada.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #40 Online: 01 de Abril de 2017, 16:03 »

Bom eu tava sem tempo de acessar o forúm, mas resolvi agora tentar seguir o tutorial que me passou, no entanto parei na primeira parte, tipo, verifquei que os repositórios estão habilitados, no entanto ao inserir o comando
sudo software-properties-gtk no terminal, ele me retorna isso aqui
/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py:40: PyGIWarning: Gdk was imported without specifying a version first. Use gi.require_version('Gdk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import GObject, Gdk, Gtk, Gio, GLib
/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py:40: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import GObject, Gdk, Gtk, Gio, GLib

então não procedi para não causar outro problema, resolvi perguntar o que fazer a partir de agora....

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.860
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #41 Online: 01 de Abril de 2017, 16:43 »
Bom eu tava sem tempo de acessar o forúm, mas resolvi agora tentar seguir o tutorial que me passou, no entanto parei na primeira parte, tipo, verifquei que os repositórios estão habilitados,  [...]então não procedi para não causar outro problema, resolvi perguntar o que fazer a partir de agora....

Se seguiu conforme está no post #38, isto é, subiu o sistema a partir de um live-pendrive, então o sistema real gravado em disco está isolado, portanto, é só seguir adiante e se verificou que o repositório Universe está de fato habilitado, como dito é instalar o boot-repair seguindo o link indicado e trazer ao tópico a url referente ao bootinfo gerado.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #42 Online: 01 de Abril de 2017, 20:14 »

seguindo o tutorial de reparação do boot do sistema, encontrei esse erro ao dar o usar o apt-get update na etapa 3
(appstreamcli:6240): CRITICAL **: Error while moving old database out of the way.
AppStream cache update failed.
Reading package lists... Done
o que seria isso? poderia continuar dai?

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.860
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #43 Online: 01 de Abril de 2017, 22:19 »
seguindo o tutorial de reparação do boot do sistema, encontrei esse erro ao dar o usar o apt-get update na etapa 3
(appstreamcli:6240): CRITICAL **: Error while moving old database out of the way.
AppStream cache update failed.
Reading package lists... Done
o que seria isso? poderia continuar dai?

Então, "Zeraszel",

Acho que estamos com um ruído na comunicação, certamente por deficiência minha que não estou conseguindo me fazer entender.  :(

O que é preciso fazer antes e continua sendo necessário fazer agora é exatamente aquilo que consta do post #38.

Tente explicar aqui no tópico qual é a parte do que consta lá que você não está entendendo, que procurarei ser mais explícito e se necessário detalhar.



www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #44 Online: 01 de Abril de 2017, 23:53 »

o Problema, é que ao tentar fazer a reparação do Grub-2 no SO, eu encontrei esse erro, ao seguir conforme manda o tutorial para atualizar o sistema, e ao utilizar o comando sudo apt-get update
o terminal me reporta isso
Fetched 1,194 kB in 7s (163 kB/s)                                             

** (appstreamcli:7195): CRITICAL **: Error while moving old database out of the way.
AppStream cache update failed.
Reading package lists... Done
nas linhas finais
eu achei esse tópico aqui que menciona esse problema
https://www.vivaolinux.com.br/dica/Erro-apt-get-no-Ubuntu-appstreamcli-CRITICAL-Error-while-moving-old-database-out-of-the-way-AppStream-cache-update-failed-Resolvido só não sei se ajuda no meu caso exatamente, espero ter sido claro e desculpe se caso não fui tão preciso nas informações.